microsoft-foundry.rest.security.o-auth2-auth
Datasets
Create or update a version
PATCH
/datasets/{name}/versions/{version}
Create a new or update an existing DatasetVersion with the given version id
查询参数
api-version
string
必需
The API version to use for this operation.
路径参数
name
string
必需
The name of the resource
version
string
必需
The specific version id of the DatasetVersion to create or update.
请求正文
The DatasetVersion to create or update.
Content-Type: application/merge-patch+json
下列类型作之一:
uri_file
FileDatasetVersionUpdate
FileDatasetVersion Definition
type
enum
必需
Dataset type
uri_file
uri_folder
FolderDatasetVersionUpdate
FileDatasetVersion Definition
type
enum
必需
Dataset type
uri_folder
响应
The request has succeeded.
正文
Content-Type: application/json
下列类型作之一:
uri_file
FileDatasetVersion
FileDatasetVersion Definition
type
enum
必需
Dataset type
uri_file
uri_folder
FolderDatasetVersion
FileDatasetVersion Definition
type
enum
必需
Dataset type
uri_folder
请求
PATCH /datasets/{name}/versions/{version} HTTP/1.1
响应
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json